Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 223548 - Segmentation fault. cannot open Basenames index using db3
Summary: Segmentation fault. cannot open Basenames index using db3
Keywords:
Status: CLOSED DUPLICATE of bug 213963
Alias: None
Product: Fedora
Classification: Fedora
Component: rpm
Version: 6
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
Assignee: Paul Nasrat
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-19 22:33 UTC by Amadeus
Modified: 2014-01-21 22:56 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-07-17 12:22:37 UTC


Attachments (Terms of Use)
The corrupted db files from /var/lib/rpm (deleted)
2007-01-20 03:40 UTC, Amadeus
no flags Details

Description Amadeus 2007-01-19 22:33:46 UTC
Description of problem:
Output from "yum update"

rpmdb: Lock table is out of available object entries
rpmdb: Lock table is out of available object entries
rpmdb: Lock table is out of available object entries
rpmdb: Lock table is out of available object entries
rpmdb: Lock table is out of available object entries
rpmdb: Lock table is out of available object entries
rpmdb: Lock table is out of available object entries
rpmdb: Lock table is out of available object entries
rpmdb: Lock table is out of available object entries
rpmdb: Lock table is out of available object entries
rpmdb: Lock table is out of available object entries
rpmdb: Lock table is out of available object entries
rpmdb: Lock table is out of available object entries
rpmdb: Lock table is out of available object entries
rpmdb: Lock table is out of available object entries
rpmdb: Lock table is out of available object entries
rpmdb: Lock table is out of available object entries
rpmdb: Lock table is out of available object entries
rpmdb: Lock table is out of available object entries

Dependencies Resolved

=============================================================================
 Package                 Arch       Version          Repository        Size 
=============================================================================
Installing:
 kernel                  i686       2.6.19-1.2895.fc6  updates            16 M
 kernel-devel            i686       2.6.19-1.2895.fc6  updates           4.7 M
Updating:
 autofs                  i386       1:5.0.1-0.rc3.6  updates           767 k
 cairomm                 i386       1.2.4-1.fc6      extras             43 k
 diffstat                i386       1.43-1.fc6       updates            18 k
 ed                      i386       0.3-0.fc6        updates            54 k
 foomatic                i386       3.0.2-39.4.fc6   updates            15 M
 ghostscript             i386       8.15.3-3.fc6     updates           5.9 M
 hal-cups-utils          i386       0.6.5-1.fc6      updates            28 k
 kernel-headers          i386       2.6.19-1.2895.fc6  updates           698 k
 libselinux              i386       1.33.4-2.fc6     updates            94 k
 libselinux-devel        i386       1.33.4-2.fc6     updates           131 k
 libselinux-python       i386       1.33.4-2.fc6     updates            55 k
 ntfs-3g                 i386       2:0-0.8.20070118.fc6  extras            146 k
 strace                  i386       4.5.15-1.fc6     updates           104 k
 system-config-printer   i386       0.7.49-1.fc6     updates           150 k
 system-config-printer-libs  i386       0.7.49-1.fc6     updates           249 k
Removing:
 kernel                  i686       2.6.18-1.2798.fc6  installed          44 M
 kernel-devel            i686       2.6.18-1.2798.fc6  installed          14 M

Transaction Summary
=============================================================================
Install      2 Package(s)         
Update      15 Package(s)         
Remove       2 Package(s)         

Total download size: 45 M
Is this ok [y/N]: y
Downloading Packages:
(1/17): kernel-devel-2.6. 100% |=========================| 4.7 MB    00:26     
(2/17): kernel-2.6.19-1.2 100% |=========================|  16 MB    01:43     
(3/17): foomatic-3.0.2-39 100% |=========================|  15 MB    01:13     
(4/17): cairomm-1.2.4-1.f 100% |=========================|  43 kB    00:00     
(5/17): kernel-headers-2. 100% |=========================| 698 kB    00:04     
(6/17): libselinux-1.33.4 100% |=========================|  94 kB    00:00     
(7/17): ed-0.3-0.fc6.i386 100% |=========================|  54 kB    00:00     
(8/17): diffstat-1.43-1.f 100% |=========================|  18 kB    00:00     
(9/17): ghostscript-8.15. 100% |=========================| 5.9 MB    00:34     
(10/17): hal-cups-utils-0 100% |=========================|  28 kB    00:00     
(11/17): strace-4.5.15-1. 100% |=========================| 104 kB    00:01     
(12/17): system-config-pr 100% |=========================| 150 kB    00:01     
(13/17): libselinux-pytho 100% |=========================|  55 kB    00:00     
(14/17): autofs-5.0.1-0.r 100% |=========================| 767 kB    00:05     
(15/17): system-config-pr 100% |=========================| 249 kB    00:01     
(16/17): ntfs-3g-0-0.8.20 100% |=========================| 146 kB    00:00     
(17/17): libselinux-devel 100% |=========================| 131 kB    00:00     
Running Transaction Test
rpmdb: Lock table is out of available object entries
error: db4 error(12) from db->cursor: Cannot allocate memory
rpmdb: Lock table is out of available object entries
error: db4 error(12) from db->get: Cannot allocate memory
error: error(12) getting "����
                                �" records from Pubkeys index
rpmdb: Lock table is out of available object entries
error: db4 error(12) from db->cursor: Cannot allocate memory
rpmdb: Lock table is out of available object entries
error: db4 error(12) from db->get: Cannot allocate memory
error: error(12) getting "�Bi�O*o�" records from Pubkeys index
rpmdb: Lock table is out of available object entries
error: db4 error(12) from db->cursor: Cannot allocate memory
rpmdb: Lock table is out of available object entries
error: db4 error(12) from db->get: Cannot allocate memory
error: error(12) getting "�Bi�O*o�" records from Pubkeys index
rpmdb: Lock table is out of available object entries
error: db4 error(12) from db->cursor: Cannot allocate memory
rpmdb: Lock table is out of available object entries
error: db4 error(12) from db->get: Cannot allocate memory
error: error(12) getting "�Bi�O*o�" records from Pubkeys index
rpmdb: Lock table is out of available object entries
error: db4 error(12) from db->cursor: Cannot allocate memory
rpmdb: Lock table is out of available object entries
error: db4 error(12) from db->get: Cannot allocate memory
error: error(12) getting "�Bi�O*o�" records from Pubkeys index
rpmdb: Lock table is out of available object entries
error: db4 error(12) from db->cursor: Cannot allocate memory
rpmdb: Lock table is out of available object entries
error: db4 error(12) from db->get: Cannot allocate memory
error: error(12) getting "�Bi�O*o�" records from Pubkeys index
rpmdb: Lock table is out of available object entries
error: db4 error(12) from db->cursor: Cannot allocate memory
rpmdb: Lock table is out of available object entries
error: db4 error(12) from db->get: Cannot allocate memory
error: error(12) getting "�Bi�O*o�" records from Pubkeys index
rpmdb: Lock table is out of available object entries
error: db4 error(12) from db->cursor: Cannot allocate memory
rpmdb: Lock table is out of available object entries
error: db4 error(12) from db->get: Cannot allocate memory
error: error(12) getting "�Bi�O*o�" records from Pubkeys index
rpmdb: Lock table is out of available object entries
error: db4 error(12) from db->cursor: Cannot allocate memory
rpmdb: Lock table is out of available object entries
error: db4 error(12) from db->get: Cannot allocate memory
error: error(12) getting "�Bi�O*o�" records from Pubkeys index
rpmdb: Lock table is out of available object entries
error: db4 error(12) from db->cursor: Cannot allocate memory
rpmdb: Lock table is out of available object entries
error: db4 error(12) from db->get: Cannot allocate memory
error: error(12) getting "�Bi�O*o�" records from Pubkeys index
rpmdb: Lock table is out of available object entries
error: db4 error(12) from db->cursor: Cannot allocate memory
rpmdb: Lock table is out of available object entries
error: db4 error(12) from db->get: Cannot allocate memory
error: error(12) getting "�Bi�O*o�" records from Pubkeys index
rpmdb: Lock table is out of available object entries
error: db4 error(12) from db->cursor: Cannot allocate memory
rpmdb: Lock table is out of available object entries
error: db4 error(12) from db->get: Cannot allocate memory
error: error(12) getting "�Bi�O*o�" records from Pubkeys index
rpmdb: Lock table is out of available object entries
error: db4 error(12) from db->cursor: Cannot allocate memory
rpmdb: Lock table is out of available object entries
error: db4 error(12) from db->get: Cannot allocate memory
error: error(12) getting "�Bi�O*o�" records from Pubkeys index
rpmdb: Lock table is out of available object entries
error: db4 error(12) from db->cursor: Cannot allocate memory
rpmdb: Lock table is out of available object entries
error: db4 error(12) from db->get: Cannot allocate memory
error: error(12) getting "����
                                �" records from Pubkeys index
rpmdb: Lock table is out of available object entries
error: db4 error(12) from db->cursor: Cannot allocate memory
rpmdb: Lock table is out of available object entries
error: db4 error(12) from db->get: Cannot allocate memory
error: error(12) getting "�Bi�O*o�" records from Pubkeys index
rpmdb: Lock table is out of available object entries
error: db4 error(12) from db->cursor: Cannot allocate memory
rpmdb: Lock table is out of available object entries
error: db4 error(12) from db->get: Cannot allocate memory
error: error(12) getting "�Bi�O*o�" records from Pubkeys index
rpmdb: Lock table is out of available object entries
error: db4 error(12) from db->cursor: Cannot allocate memory
rpmdb: Lock table is out of available object entries
error: db4 error(12) from db->get: Cannot allocate memory
error: error(12) getting "�Bi�O*o�" records from Pubkeys index
rpmdb: Lock table is out of available object entries
error: db4 error(12) from db->cursor: Cannot allocate memory
rpmdb: Lock table is out of available object entries
error: db4 error(12) from db->get: Cannot allocate memory
error: error(12) getting "�Bi�O*o�" records from Pubkeys index
rpmdb: Lock table is out of available object entries
error: db4 error(12) from db->cursor: Cannot allocate memory
rpmdb: Lock table is out of available object entries
error: db4 error(12) from db->get: Cannot allocate memory
error: error(12) getting "�Bi�O*o�" records from Pubkeys index
rpmdb: Lock table is out of available object entries
error: db4 error(12) from db->cursor: Cannot allocate memory
rpmdb: Lock table is out of available object entries
error: db4 error(12) from db->get: Cannot allocate memory
error: error(12) getting "�Bi�O*o�" records from Pubkeys index
rpmdb: Lock table is out of available object entries
error: db4 error(12) from db->cursor: Cannot allocate memory
rpmdb: Lock table is out of available object entries
error: db4 error(12) from db->get: Cannot allocate memory
error: error(12) getting "�Bi�O*o�" records from Pubkeys index
rpmdb: Lock table is out of available object entries
error: db4 error(12) from db->cursor: Cannot allocate memory
rpmdb: Lock table is out of available object entries
error: db4 error(12) from db->get: Cannot allocate memory
error: error(12) getting "����
                                �" records from Pubkeys index
rpmdb: Lock table is out of available object entries
error: db4 error(12) from db->cursor: Cannot allocate memory
rpmdb: Lock table is out of available object entries
error: db4 error(12) from db->get: Cannot allocate memory
error: error(12) getting "����
                                �" records from Pubkeys index
rpmdb: Lock table is out of available object entries
error: db4 error(12) from db->cursor: Cannot allocate memory
rpmdb: Lock table is out of available object entries
error: db4 error(12) from db->get: Cannot allocate memory
error: error(12) getting "�Bi�O*o�" records from Pubkeys index
rpmdb: Lock table is out of available object entries
error: db4 error(12) from db->cursor: Cannot allocate memory
rpmdb: Lock table is out of available object entries
error: db4 error(12) from db->get: Cannot allocate memory
error: error(12) getting "�Bi�O*o�" records from Pubkeys index
rpmdb: Lock table is out of available object entries
error: db4 error(12) from db->cursor: Cannot allocate memory
rpmdb: Lock table is out of available object entries
error: db4 error(12) from db->get: Cannot allocate memory
error: error(12) getting "�Bi�O*o�" records from Pubkeys index
rpmdb: Lock table is out of available object entries
error: db4 error(12) from db->cursor: Cannot allocate memory
rpmdb: Lock table is out of available object entries
error: db4 error(12) from db->get: Cannot allocate memory
error: error(12) getting "�Bi�O*o�" records from Pubkeys index
rpmdb: Lock table is out of available object entries
error: db4 error(12) from db->cursor: Cannot allocate memory
rpmdb: Lock table is out of available object entries
error: db4 error(12) from db->get: Cannot allocate memory
error: error(12) getting "�Bi�O*o�" records from Pubkeys index
rpmdb: Lock table is out of available object entries
error: db4 error(12) from db->cursor: Cannot allocate memory
rpmdb: Lock table is out of available object entries
error: db4 error(12) from db->get: Cannot allocate memory
error: error(12) getting "�Bi�O*o�" records from Pubkeys index
rpmdb: Lock table is out of available object entries
error: db4 error(12) from db->cursor: Cannot allocate memory
rpmdb: Lock table is out of available object entries
error: db4 error(12) from db->get: Cannot allocate memory
error: error(12) getting "�Bi�O*o�" records from Pubkeys index
rpmdb: Lock table is out of available object entries
error: db4 error(12) from db->cursor: Cannot allocate memory
rpmdb: Lock table is out of available object entries
error: db4 error(12) from db->get: Cannot allocate memory
error: error(12) getting "�Bi�O*o�" records from Pubkeys index
rpmdb: Lock table is out of available object entries
error: db4 error(12) from db->cursor: Cannot allocate memory
rpmdb: Lock table is out of available object entries
error: db4 error(12) from db->get: Cannot allocate memory
error: error(12) getting "�Bi�O*o�" records from Pubkeys index
rpmdb: Lock table is out of available object entries
error: db4 error(12) from db->cursor: Cannot allocate memory
rpmdb: Lock table is out of available object entries
error: db4 error(12) from db->get: Cannot allocate memory
error: error(12) getting "�Bi�O*o�" records from Pubkeys index
rpmdb: Lock table is out of available object entries
error: db4 error(12) from db->cursor: Cannot allocate memory
rpmdb: Lock table is out of available object entries
error: db4 error(12) from db->get: Cannot allocate memory
error: error(12) getting "�Bi�O*o�" records from Pubkeys index
rpmdb: Lock table is out of available object entries
error: db4 error(12) from db->cursor: Cannot allocate memory
rpmdb: Lock table is out of available object entries
error: db4 error(12) from db->get: Cannot allocate memory
error: error(12) getting "�Bi�O*o�" records from Pubkeys index
rpmdb: Lock table is out of available object entries
error: db4 error(12) from db->cursor: Cannot allocate memory
rpmdb: Lock table is out of available object entries
error: db4 error(12) from db->get: Cannot allocate memory
error: error(12) getting "�Bi�O*o�" records from Pubkeys index
rpmdb: Lock table is out of available object entries
error: db4 error(12) from db->cursor: Cannot allocate memory
rpmdb: Lock table is out of available object entries
error: db4 error(12) from db->get: Cannot allocate memory
error: error(12) getting "�Bi�O*o�" records from Pubkeys index
rpmdb: Lock table is out of available object entries
error: db4 error(12) from db->cursor: Cannot allocate memory
rpmdb: Lock table is out of available object entries
error: db4 error(12) from db->get: Cannot allocate memory
error: error(12) getting "�Bi�O*o�" records from Pubkeys index
rpmdb: Lock table is out of available object entries
error: db4 error(12) from db->cursor: Cannot allocate memory
rpmdb: Lock table is out of available object entries
error: db4 error(12) from db->get: Cannot allocate memory
error: error(12) getting "�Bi�O*o�" records from Pubkeys index
rpmdb: Lock table is out of available object entries
error: db4 error(12) from db->cursor: Cannot allocate memory
rpmdb: Lock table is out of available object entries
error: db4 error(12) from db->get: Cannot allocate memory
error: error(12) getting "�Bi�O*o�" records from Pubkeys index
rpmdb: Lock table is out of available object entries
error: db4 error(12) from db->cursor: Cannot allocate memory
rpmdb: Lock table is out of available object entries
error: db4 error(12) from db->get: Cannot allocate memory
error: error(12) getting "�Bi�O*o�" records from Pubkeys index
rpmdb: Lock table is out of available object entries
error: db4 error(12) from db->cursor: Cannot allocate memory
rpmdb: Lock table is out of available object entries
error: db4 error(12) from db->get: Cannot allocate memory
error: error(12) getting "�Bi�O*o�" records from Pubkeys index
rpmdb: Lock table is out of available object entries
error: db4 error(12) from db->cursor: Cannot allocate memory
rpmdb: Lock table is out of available object entries
error: db4 error(12) from db->get: Cannot allocate memory
error: error(12) getting "�Bi�O*o�" records from Pubkeys index
rpmdb: Lock table is out of available object entries
error: db4 error(12) from db->cursor: Cannot allocate memory
rpmdb: Lock table is out of available object entries
error: db4 error(12) from db->get: Cannot allocate memory
error: error(12) getting "�Bi�O*o�" records from Pubkeys index
rpmdb: Lock table is out of available object entries
error: db4 error(12) from db->cursor: Cannot allocate memory
rpmdb: Lock table is out of available object entries
error: db4 error(12) from db->get: Cannot allocate memory
error: error(12) getting "�Bi�O*o�" records from Pubkeys index
rpmdb: Lock table is out of available object entries
error: db4 error(12) from db->cursor: Cannot allocate memory
rpmdb: Lock table is out of available object entries
error: db4 error(12) from db->get: Cannot allocate memory
error: error(12) getting "����
                                �" records from Pubkeys index
rpmdb: Lock table is out of available object entries
error: db4 error(12) from db->cursor: Cannot allocate memory
rpmdb: Lock table is out of available object entries
error: db4 error(12) from db->get: Cannot allocate memory
error: error(12) getting "����
                                �" records from Pubkeys index
rpmdb: Lock table is out of available object entries
error: db4 error(12) from db->cursor: Cannot allocate memory
rpmdb: Lock table is out of available object entries
error: db4 error(12) from db->get: Cannot allocate memory
error: error(12) getting "�Bi�O*o�" records from Pubkeys index
rpmdb: Lock table is out of available object entries
error: db4 error(12) from db->cursor: Cannot allocate memory
rpmdb: Lock table is out of available object entries
error: db4 error(12) from db->get: Cannot allocate memory
error: error(12) getting "�Bi�O*o�" records from Pubkeys index
rpmdb: Lock table is out of available object entries
error: cannot open Basenames index using db3 - Cannot allocate memory (12)
Segmentation fault

Version-Release number of selected component (if applicable):
yum-3.0.3-1.fc6
yumex-1.2.2-1.0.fc6
yum-metadata-parser-1.0.3-1.fc6
yum-updatesd-3.0.3-1.fc6

How reproducible:
Everytime.

Steps to Reproduce:
1. yum update
2.
3.

Additional info:
The problem seams to be caused because something has happend to the rpmdb. If I
"rpm -qa" I get  LOTS of these lines

rpmdb: Lock table is out of available object entries

Comment 1 Amadeus 2007-01-20 03:40:46 UTC
Created attachment 146054 [details]
The corrupted db files from /var/lib/rpm

It was these files that was corrupted, and caused the segfault.

Comment 2 Paul Nasrat 2007-01-30 10:44:32 UTC
If you remove /var/lib/rpm/__db* does normal operation resume?

Comment 3 Amadeus 2007-01-30 16:00:29 UTC
Yes.

It was the __db* files I have attached to this bug that caused the problem.



Comment 4 Panu Matilainen 2007-07-17 12:22:37 UTC

*** This bug has been marked as a duplicate of 213963 ***


Note You need to log in before you can comment on or make changes to this bug.